
Foreman - Bug #7496

change has_and_belongs_to_many to has_many :through and add unique validation and auditing to

join table

09/17/2014 08:15 AM - Joseph Magen

Status: New   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1773

  

Description

there is currently no validation when the models use has_and_belongs_to_many

This issue is a result of needing to generate validation errors and audit trail for https://github.com/theforeman/foreman/pull/1454

History

#1 - 09/17/2014 08:20 AM - Dominic Cleal

- Category set to Rails

#2 - 09/17/2014 09:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1773 added

- Pull request deleted ()

#3 - 09/30/2014 11:00 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#4 - 02/29/2016 06:55 AM - Joseph Magen

- Status changed from Ready For Testing to New

Moving status back to New. PR https://github.com/theforeman/foreman/pull/1773 is not complete but it's a start.

I don't recall what could cause two identical rows in the join table. I see this task as a "nice to have" and not "must have" as it changes a lot of code

with little upside unless there is a real pain there something is causing duplicate rows.

#5 - 07/23/2018 11:28 AM - Tomer Brisker

- Target version deleted (1.7.2)
